Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedOperandImm_ Struct Reference

Extended info for immediate-operands. More...

`#include <DecoderTypes.h>`

## Data Structures
union | ZydisDecodedOperandImmValue_
| The immediate value. More...

## Data Fields
ZyanBool | is_signed
| Signals, if the immediate value is signed.
ZyanBool | is_relative
| Signals, if the immediate value contains a relative offset.
union ZydisDecodedOperandImm_::ZydisDecodedOperandImmValue_ | value

## Detailed Description

Extended info for immediate-operands.

## Field Documentation

## ◆ is_relative

ZyanBool is_relative

Signals, if the immediate value contains a relative offset.

You can use ZydisCalcAbsoluteAddress to determine the absolute address value.

## ◆ is_signed

ZyanBool is_signed

Signals, if the immediate value is signed.

## ◆ value

union ZydisDecodedOperandImm_::ZydisDecodedOperandImmValue_ value

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h